org.apache.flume.source.scribe

## Class LogEntry

- java.lang.Object
- - org.apache.flume.source.scribe.LogEntry

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<LogEntry>, org.apache.thrift.TBase<LogEntry,LogEntry._Fields>

      public class LogEntry
      extends Object
      implements org.apache.thrift.TBase<LogEntry,LogEntry._Fields>, Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogEntry._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `category`
    `String` | `message`
    `static Map<LogEntry._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogEntry()`
    `LogEntry(LogEntry other)` Performs a deep copy on other.
    `LogEntry(String category, String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(LogEntry other)`
    `LogEntry` | `deepCopy()`
    `boolean` | `equals(LogEntry that)`
    `boolean` | `equals(Object that)`
    `LogEntry._Fields` | `fieldForId(int fieldId)`
    `String` | `getCategory()`
    `Object` | `getFieldValue(LogEntry._Fields field)`
    `String` | `getMessage()`
    `int` | `hashCode()`
    `boolean` | `isSet(LogEntry._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCategory()` Returns true if field category is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMessage()` Returns true if field message is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `LogEntry` | `setCategory(String category)`
    `void` | `setCategoryIsSet(boolean value)`
    `void` | `setFieldValue(LogEntry._Fields field, Object value)`
    `LogEntry` | `setMessage(String message)`
    `void` | `setMessageIsSet(boolean value)`
    `String` | `toString()`
    `void` | `unsetCategory()`
    `void` | `unsetMessage()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### category

          public String category

    - #### message

          public String message

    - #### metaDataMap

          public static final Map<LogEntry._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### LogEntry

          public LogEntry()

    - #### LogEntry

          public LogEntry(String category,
                  String message)

    - #### LogEntry

          public LogEntry(LogEntry other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public LogEntry deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public LogEntry setCategory(String category)

    - #### unsetCategory

          public void unsetCategory()

    - #### isSetCategory

          public boolean isSetCategory()

      Returns true if field category is set (has been assigned a value) and false otherwise

    - #### setCategoryIsSet

          public void setCategoryIsSet(boolean value)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public LogEntry setMessage(String message)

    - #### unsetMessage

          public void unsetMessage()

    - #### isSetMessage

          public boolean isSetMessage()

      Returns true if field message is set (has been assigned a value) and false otherwise

    - #### setMessageIsSet

          public void setMessageIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(LogEntry._Fields field,
                           Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`

    - #### getFieldValue

          public Object getFieldValue(LogEntry._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`

    - #### isSet

          public boolean isSet(LogEntry._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(LogEntry that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(LogEntry other)

      Specified by:
        `compareTo` in interface `Comparable<LogEntry>`

    - #### fieldForId

          public LogEntry._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<LogEntry,LogEntry._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.